﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGrid_Column_Order_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {            
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["A"].Header.VisiblePosition = 2;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["B"].Header.VisiblePosition = 3;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["C"].Header.VisiblePosition = 1;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["D"].Header.VisiblePosition = 0;
        }

        private void button6_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["D"].Header.VisiblePosition = 0;
        }

        private void button8_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["C"].Header.VisiblePosition = 1;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["A"].Header.VisiblePosition = 2;
        }

        private void button7_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns["B"].Header.VisiblePosition = 3;
        }

        private void button9_Click(object sender, EventArgs e)
        {
            ColumnsCollection columns = this.ultraGrid1.DisplayLayout.Bands[0].Columns;
            WinGridColumnPositioner winGridColumnPositioner = new WinGridColumnPositioner();
            winGridColumnPositioner.AddColumnPosition(columns["A"], 2);
            winGridColumnPositioner.AddColumnPosition(columns["B"], 3);
            winGridColumnPositioner.AddColumnPosition(columns["C"], 1);
            winGridColumnPositioner.AddColumnPosition(columns["D"], 0);
            winGridColumnPositioner.Position();
        }

        private void button10_Click(object sender, EventArgs e)
        {
            ColumnsCollection columns = this.ultraGrid1.DisplayLayout.Bands[0].Columns;
            WinGridColumnPositioner winGridColumnPositioner = new WinGridColumnPositioner();
            winGridColumnPositioner.AddColumnPosition(columns["D"], 0);
            winGridColumnPositioner.AddColumnPosition(columns["C"], 1);
            winGridColumnPositioner.AddColumnPosition(columns["A"], 2);
            winGridColumnPositioner.AddColumnPosition(columns["B"], 3);
            winGridColumnPositioner.Position();
        }
    }
}
